> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List machine apps

GET https://astropods.com/api/v1/accounts/{account}/apps

Reference: https://docs.astropods.com/api-reference/astropods-api/authorization/list-machine-apps

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name

## Response

### 200

OK

- `apps` (list of AppResponse, optional)
- `oauth_endpoints` (OAuthEndpoints, optional)

## Types

### AppResponse

- `client_id` (string, optional)
- `created_at` (datetime, optional)
- `description` (string, optional)
- `id` (string, optional)
- `kind` (string, optional)
- `name` (string, optional)
- `public_client` (boolean, optional)
- `redirect_uris` (list of string, optional)
- `scopes` (list of string, optional)
- `secrets` (list of Secret, optional)

### OAuthEndpoints

- `authorize_url` (string, optional)
- `token_url` (string, optional)

### Secret

- `created_at` (datetime, optional, nullable)
- `hint` (string, optional)
- `id` (string, optional)
- `last_used_at` (datetime, optional, nullable)

## Examples

**Response**

```json
{
  "apps": [
    {
      "client_id": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "description": "string",
      "id": "string",
      "kind": "string",
      "name": "string",
      "public_client": true,
      "redirect_uris": [
        "string"
      ],
      "scopes": [
        "string"
      ],
      "secrets": [
        {
          "created_at": "2024-01-15T09:30:00Z",
          "hint": "string",
          "id": "string",
          "last_used_at": "2024-01-15T09:30:00Z"
        }
      ]
    }
  ],
  "oauth_endpoints": {
    "authorize_url": "string",
    "token_url": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/apps"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/apps';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/apps"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/apps")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/apps")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/apps', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/apps");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/apps")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```